## org.h2.command.ddl
Class SetComment

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SetComment

    public class SetComment

extends DefineCommand

This class represents the statement COMMENT

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`SetComment(Session session)`

Method Summary
`void` `setColumn(boolean column)`
`void` `setColumnName(java.lang.String columnName)`
`void` `setCommentExpression(Expression expr)`
`void` `setObjectName(java.lang.String objectName)`
`void` `setObjectType(int objectType)`
`void` `setSchemaName(java.lang.String schemaName)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetComment

    public SetComment(Session session)

Method Detail

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setCommentExpression

    public void setCommentExpression(Expression expr)

### setObjectName

    public void setObjectName(java.lang.String objectName)

### setObjectType

    public void setObjectType(int objectType)

### setColumnName

    public void setColumnName(java.lang.String columnName)

### setSchemaName

    public void setSchemaName(java.lang.String schemaName)

### setColumn

    public void setColumn(boolean column)